import req from "@/request.js";
import utils from "@/hotent-ui-util.js"
import { Promise } from "q";
import Cookie from 'js-cookie'

// 如果分服务部署 这里的端口设置才生效，不分服务部署这里是统一的端口。
const uc = window.context.uc;
const application = window.context.application; 
export default {
    getMessageType(param) {
        return new Promise((resolve, reject) => {
            req.post(application + '/msg/messageType/v1/query', param).then(response => {
                resolve(response.data);
            }, error => {
                reject(error);
            });
        })
    },
    getMessageConfig(param) {
        return new Promise((resolve, reject) => {
            req.post(application + '/msg/messageConfig/v1/listJson', param).then(response => {
                resolve(response.data);
            }, error => {
                reject(error);
            });
        })
    },
}